# Copyright (C) 2010  Kouhei Sutou <kou@clear-code.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

require 'twitter'

search = Twitter::Search.new
search.contains("groonga")
5.times do |i|
  if i.zero?
    tweets = search.fetch
  else
    tweets = search.fetch_next_page
  end
  break if tweets.nil?
  tweets.each do |tweet|
    puts "#{tweet.from_user}: #{tweet.text}"
    unless User.exists?(tweet.from_user)
      twitter_user = Twitter.user(tweet.from_user)
      puts "user: #{tweet.from_user}: #{twitter_user.name}"
      User.create!(:key => tweet.from_user,
                   :name => twitter_user.name)
    end
    Tweet.create!(:user => tweet.from_user,
                  :content => tweet.text)
  end
end
